function [results counts] = calc_p_exact(a,data)
    results = [];
    counts  = [];
    for i = 1:(a-1)
        i
        tic
        c = sort(data(data(:,1)==i,2),'descend')';
        n = sum(c);
        k = nchoosek(a,i);

        [t,l] = multiset(  n,k);
        [p,w] = multipmf(t,n,k);
        [q,m] = multipmf(c,n,k);
        [ch2] = chisq(   t,n,k);
        [ J ] = chisq(   c,n,k);

        p_check = sum(p.*w);
        p_exact = sum(p.*w.*(  p<=q))/sum(p.*w);
        p_ch2ex = sum(   w.*(ch2>=J))/sum(   w);
        p_ch2wt = sum(p.*w.*(ch2>=J))/sum(p.*w);

        results = [results; a i n k p_check p_exact p_ch2ex p_ch2wt];
        counts  = [counts ; a i n k l sum(w)];
        toc
    end
end
