function [g] = logit2(w_h,w_l,b_h,b_l)
    lnodd = @(x) log(x./(1-x));
    logit = @(x) exp(x)./(1+exp(x));
    for i = 1:length(w_h)
        if     w_h(i) == 0
            g(i,1) = 1/2;
        elseif w_h(i) >  0 & w_l(i) == 0 & b_h(i) == 0
            g(i,1) = 1;
        elseif w_h(i) >  0 & w_l(i) == 0 & b_h(i) >  0
            g(i,1) = logit(lnodd(w_h(i))/2 - lnodd(b_h(i))/2);
        elseif w_h(i) >  0 & w_l(i) >  0 & b_h(i) == 0
            g(i,1) = 1;
        elseif w_h(i) >  0 & w_l(i) >  0 & b_h(i) >  0 & b_l(i) == 0
            g(i,1) = 1;
        else
            g(i,1) = logit((lnodd(w_h(i))+lnodd(w_l(i)))/2 - (lnodd(b_h(i))+lnodd(b_l(i)))/2);
        end;
    end
end
